# propka.determinants

## Working with Determinants

Functions to manipulate `propka.determinant.Determinant` objects.

See also

`propka.determinant`

Functions

`add_coulomb_acid_pair`(object1, object2, value) | Add the Coulomb interaction (an acid pair).
`add_coulomb_base_pair`(object1, object2, value) | Add the Coulomb interaction (a base pair).
`add_coulomb_determinants`(group1, group2, ...) | Add non-iterative Coulomb determinants and perturbations.
`add_coulomb_ion_pair`(object1, object2, value) | Add the Coulomb interaction (an acid-base pair).
`add_determinants`(group1, group2, distance, ...) | Add determinants and perturbations for distance(R1,R2) < coulomb_cutoff.
`add_sidechain_determinants`(group1, group2, ...) | Add side-chain determinants and perturbations.
`set_backbone_determinants`(titratable_groups, ...) | Set determinants between titrable and backbone groups.
`set_determinants`(propka_groups, version[, ...]) | Add side-chain and coulomb determinants/perturbations to all residues.
`set_ion_determinants`(conformation_container, ...) | Add ion determinants and perturbations.

propka.determinants.add_coulomb_acid_pair(object1, object2, value)

  Add the Coulomb interaction (an acid pair).

  The higher pKa is raised.

  Parameters:

    - object1 – first part of pair

    - object2 – second part of pair

    - value – determinant value

propka.determinants.add_coulomb_base_pair(object1, object2, value)

  Add the Coulomb interaction (a base pair).

  The lower pKa is lowered.

  Parameters:

    - object1 – first part of pair

    - object2 – second part of pair

    - value – determinant value

propka.determinants.add_coulomb_determinants(group1, group2, distance, version)

  Add non-iterative Coulomb determinants and perturbations.

  Parameters:

    - group1 – first group to add

    - group2 – second group to add

    - distance – distance between groups

    - version – version object

propka.determinants.add_coulomb_ion_pair(object1, object2, value)

  Add the Coulomb interaction (an acid-base pair).

  The pKa of the acid is lowered & the pKa of the base is raised.

  Parameters:

    - object1 – first part of pair

    - object2 – second part of pair

    - value – determinant value

propka.determinants.add_determinants(group1, group2, distance, version)

  Add determinants and perturbations for distance(R1,R2) < coulomb_cutoff.

  Parameters:

    - group1 – first group to add

    - group2 – second group to add

    - distance – distance between groups

    - version – version object

propka.determinants.add_sidechain_determinants(group1: Group, group2: Group, version: Version)

  Add side-chain determinants and perturbations.

  NOTE - res_num1 > res_num2

  Parameters:

    - group1 – first group to add

    - group2 – second group to add

    - version – version object

propka.determinants.set_backbone_determinants(titratable_groups, backbone_groups, version)

  Set determinants between titrable and backbone groups.

  Parameters:

    - titratable_groups – list of titratable groups

    - backbone_groups – list of backbone groups

    - version – version object

propka.determinants.set_determinants(propka_groups: List[Group], version: Version, options=None)

  Add side-chain and coulomb determinants/perturbations to all residues.

  NOTE - backbone determinants are set separately

  Parameters:

    - propka_groups – groups to adjust

    - version – version object

    - options – options object

propka.determinants.set_ion_determinants(conformation_container, version)

  Add ion determinants and perturbations.

  Parameters:

    - conformation_container – conformation to set

    - version – version object